include ../header/header
include ../button/button

mixin bonuses(data)

	- data = data || {}
	- data.total = data.total || 0
	- data.hot = data.hot || 0
	- data.used = data.used || "used"

	+b.bonuses(
		data-use-event= data.eventUse
		data-total= data.total
		data-precent= data.percent
		data-possible= data.possible
	).js-bonuses&attributes(attributes)

		input(
			type= "hidden"
			value= 0
			name= data.used
		).js-used
		+header({text: "Бонусные баллы", level: 2}).bonuses__header

		+e.desc Баллами можно компенсировать до&nbsp;30&nbsp;% от&nbsp;суммы заказа, 1&nbsp;балл&nbsp;— 1&nbsp;рубль

		+e.data
			+e.data-el
				+e.data-text Всего
				+e.data-data.js-total= data.total

			+e.data-el._red
				+e.data-text Сгорят через 10 дней
				+e.data-data.js-hot= data.hot

		+e.btn.js-btn
			+button({text: "Использовать " + data.possible + " баллов"})
